# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-atfork
%define fedora 28
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-atfork
Version:        0.1.2
Release:        alt1_16
Summary:        Provides an API to register callbacks when forking
Group:          Development/Other
License:        ASL 2.0
URL:            https://code.google.com/p/python-atfork
Source0:        http://python-atfork.googlecode.com/files/atfork-%{version}.zip
# This patch is temporary to resolve non-executable-script rpmlint errors
Patch0:         0001-Resolve-rpmlint-non-executable-script-error.patch
BuildArch:      noarch
BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  python-devel

%global _description\
Atfork provides a pthread_atfork() work-a-like API for Python 2.4, 2.5 and 2.6\
along with fixers to monkey patch standard library modules at run time to be\
safe in programs using both threading and forking.\
\
While mixing threads and forking in a program is generally considered to be a\
bad idea it need not be so painful.\
\
A missing API in the Python is an atfork mechanism so that locks can be\
acquired and released properly around fork calls.  This module adds that.  It\
also provides monkey patchers that fix the standard library to properly\
register callbacks for locks they create.\

Source44: import.info


%description 

%_description
%prep
%setup -q -n atfork-%{version}
%patch0 -p1


%build
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
%python_build
%else
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build
%endif


%install
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
%python_install
%else
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT
%endif



%files -n python-module-atfork
%{python_sitelibdir_noarch}/atfork
%{python_sitelibdir_noarch}/*egg-info


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_15
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_11
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_6
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_3
- initial fc import

